<template>
    <main>
        <v-card >
            <v-card-title >
                <h1 class="orange--text">REST-WS Front-End</h1>
            </v-card-title>
            <v-card-text>
                <p class="mb-0 pb-0">Ensure the server part and DB is started and verify its URL</p>
                <a :href="url" target="_blank"><pre>{{url}}</pre></a>

                <h2 class="mt-6">Front-End Technology</h2>
                <ul>
                    <li><a href="https://vuejs.org/" target="_blank">Vue.js</a></li>
                    <li><a href="https://vuetifyjs.com/en/" target="_blank">Vuetify</a></li>
                    <li><a href="https://github.com/axios/axios/blob/master/README.md">Axios</a></li>
                </ul>

                <h3 class="mt-6">Back-End Technology</h3>
                <ul>
                    <li><a href="https://adoptopenjdk.net/?variant=openjdk14&jvmVariant=hotspot">Java JDK</a> </li>
                    <li> <a href="http://sparkjava.com/">SparkJava REST-WS Server</a> </li>
                    <li> <a href="https://dev.mysql.com/downloads/mysql/">MySQL Database</a> </li>
                </ul>
            </v-card-text>
            <v-card-actions>
                <v-btn to="/person-list" color="primary">
                    Show Person List
                </v-btn>
                <v-btn to="/person-view/any" color="secondary">
                    Show a Random Person
                </v-btn>
            </v-card-actions>
        </v-card>
    </main>
</template>

<script>
    export default {
        name: 'home.page',
        data() {
            return {
                url: 'http://localhost:8000/api/v1/person'
            };
        }
    }
</script>

<style scoped>
    main {
        padding: 2em;
    }
</style>
